package com.ssj.service.conch.teacher.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author Mount Liu
 * @date 2020/06/30
 */
public class PerfectInfoReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @NotBlank
    @ApiModelProperty(name = "teacherName", value = "老师姓名（需加密）", required = true)
    private String teacherName;

    @NotBlank
    @ApiModelProperty(name = "libId", value = "校区id", required = true)
    private String libId;

    @NotBlank
    @ApiModelProperty(name = "subject", value = "科目（多个用英文逗号隔开），如：语文,数学", required = true)
    private String subject;

    @NotBlank
    @ApiModelProperty(name = "typeStr", value = "角色模块（2：现场管理；10：学科答疑；15：作业标注）（多个用英文逗号隔开），如：2,15", required = true)
    private String typeStr;

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getTypeStr() {
        return typeStr;
    }

    public void setTypeStr(String typeStr) {
        this.typeStr = typeStr;
    }
}
